/* ===========================================================================
 * $RCSfile: RgsEntry.java,v $
 * ===========================================================================
 *
 * RetroGuard -- an obfuscation package for Java classfiles.
 *
 * Copyright (c) 1999 Mark Welsh (markw@retrologic.com)
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * The author may be contacted at markw@retrologic.com 
 *
 *
 * $Date: 1998/10/01 14:14:13 $
 * $Revision: 1.2 $
 */
package COM.rl.obf;

import java.io.*;
import java.util.*;

/**
 * Representation of RGS script files entry.
 *
 * @author      Mark Welsh
 */
public class RgsEntry
{
    // Constants -------------------------------------------------------------
    public static final int TYPE_ATTR = 0;
    public static final int TYPE_CLASS = 1;
    public static final int TYPE_FIELD = 2;
    public static final int TYPE_METHOD = 3;
    public static final int TYPE_PACKAGE_MAP = 4;
    public static final int TYPE_CLASS_MAP = 5;
    public static final int TYPE_FIELD_MAP = 6;
    public static final int TYPE_METHOD_MAP = 7;
    private static final String[] TYPES = {
        ".attribute ", ".class ", ".field ", ".method ", 
        ".package_map ", ".class_map ", ".field_map ", ".method_map "
    };


    // Fields ----------------------------------------------------------------
    public int type;
    public String name;
    public String descriptor;
    public String obfName;
    public boolean retainToPublic;
    public boolean retainToProtected;
    public boolean retainFieldsOnly;
    public boolean retainMethodsOnly;


    // Instance Methods-------------------------------------------------------
    public RgsEntry(int type, String name)
    {
        this.type = type;
        this.name = name;
    }
    public RgsEntry(int type, String name, String descriptor)
    {
        this.type = type;
        this.name = name;
        this.descriptor = descriptor;
    }
    public String toString()
    {
        return name;
    }
}
