/* ===========================================================================
 * $RCSfile: Version.java,v $
 * ===========================================================================
 *
 * RetroGuard -- an obfuscation package for Java classfiles.
 *
 * Copyright (c) 1999 Mark Welsh (markw@retrologic.com)
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * The author may be contacted at markw@retrologic.com 
 *
 *
 * $Date: 1999/04/19 03:53:49 $
 * $Revision: 1.5 $
 */
package COM.rl.obf;


/**
 * Central point for version and build control.
 *
 * @author Mark Welsh
 */
public class Version {
    // Constants -------------------------------------------------------------
    private static final String REL_VERSION = "1.1";
    private static final String RETROGUARD_REL_JAR_COMMENT =
        "Obfuscation by RetroGuard - www.retrologic.com (author: Mark Welsh, markw@retrologic.com)";


    // Class Methods ---------------------------------------------------------
    /** Return the current major.minor version string. */
    public static String getVersion() {
        return REL_VERSION;
    }

    /** Return the current Jar comment String. */
    public static String getJarComment() {
        return RETROGUARD_REL_JAR_COMMENT;
    }
}
