/* ===========================================================================
 * $RCSfile: NameMapper.java,v $
 * ===========================================================================
 *
 * RetroGuard -- an obfuscation package for Java classfiles.
 *
 * Copyright (c) 1999 Mark Welsh (markw@retrologic.com)
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * The author may be contacted at markw@retrologic.com 
 *
 *
 * $Date: 1998/07/01 15:24:33 $
 * $Revision: 1.1.1.1 $
 */
package COM.rl.obf.classfile;

import java.io.*;
import java.util.*;

/**
 * Interface to a class, method, field remapping table.
 *
 * @author      Mark Welsh
 */
public interface NameMapper
{
    // Interface Methods -----------------------------------------------------
    /** Return a list of attributes marked to keep. */
    public String[] getAttrsToKeep() throws Exception;

    /** Mapping for fully qualified class name. */
    public String mapClass(String className) throws Exception;

    /** Mapping for method name, of fully qualified class. */
    public String mapMethod(String className, String methodName, String descriptor) throws Exception;

    /** Mapping for field name, of fully qualified class. */
    public String mapField(String className, String fieldName) throws Exception;

    /** Mapping for descriptor of field or method. */
    public String mapDescriptor(String descriptor) throws Exception;
}
