/* ===========================================================================
 * $RCSfile: ClPreserve.java,v $
 * ===========================================================================
 *
 * RetroGuard -- an obfuscation package for Java classfiles.
 *
 * Copyright (c) 1999 Mark Welsh (markw@retrologic.com)
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * The author may be contacted at markw@retrologic.com 
 *
 *
 * $Date: 1998/07/01 15:24:33 $
 * $Revision: 1.1.1.1 $
 */
package COM.rl.obf.gui;

import java.io.*;
import java.util.*;
import COM.rl.obf.*;

/**
 * Data structure for class preservations.
 *
 * @author      Mark Welsh
 */
public class ClPreserve extends TreeItemPreserve
{
    private PkCl pkcl;
    private boolean isKeepPublic;
    private boolean isKeepProtected;
    private boolean isKeepMethodsAndFields;
    private boolean isKeepMethodsOnly;
    private boolean isKeepFieldsOnly;
    public PkCl getPkCl() {return pkcl;}
    public boolean isKeepPublic() {return isKeepPublic;}
    public boolean isKeepProtected() {return isKeepProtected;}
    public boolean isKeepMethodsAndFields() {return isKeepMethodsAndFields;}
    public boolean isKeepMethodsOnly() {return isKeepMethodsOnly;}
    public boolean isKeepFieldsOnly() {return isKeepFieldsOnly;}
    public void setPreserve(boolean isPreserve)
    {
        this.isPreserve = isPreserve;
        if (!isPreserve)
        {
            setKeepPublic(false);
        }
    }
    public void setKeepPublic(boolean isKeepPublic)
    {
        this.isKeepPublic = isKeepPublic;
        if (!isKeepPublic)
        {
            setKeepProtected(false);
            keepMethodsAndFields();
        }
    }
    public void setKeepProtected(boolean isKeepProtected) {this.isKeepProtected = isKeepProtected;}
    public void keepMethodsAndFields()
    {
        isKeepMethodsAndFields = true;
        isKeepMethodsOnly = false;
        isKeepFieldsOnly = false;
    }
    public void keepMethodsOnly()
    {
        isKeepMethodsAndFields = false;
        isKeepMethodsOnly = true;
        isKeepFieldsOnly = false;
    }
    public void keepFieldsOnly()
    {
        isKeepMethodsAndFields = false;
        isKeepMethodsOnly = false;
        isKeepFieldsOnly = true;
    }
    public ClPreserve(PkCl pkcl)
    {
        this.pkcl = pkcl;
    }
}
